Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::ModalBar Class Reference

STK resonant bar instrument class. More...

`#include <ModalBar.h>`

Inheritance diagram for stk::ModalBar:

List of all members.

## Public Member Functions
| ModalBar (void)
| Class constructor.
| ~ModalBar (void)
| Class destructor.
void | setStickHardness (StkFloat hardness)
| Set stick hardness (0.0 - 1.0).
void | setStrikePosition (StkFloat position)
| Set stick position (0.0 - 1.0).
void | setPreset (int preset)
| Select a bar preset (currently modulo 9).
void | setModulationDepth (StkFloat mDepth)
| Set the modulation (vibrato) depth.
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK resonant bar instrument class.

This class implements a number of different struck bar instruments. It inherits from the Modal class.

Control Change Numbers:

- Stick Hardness = 2
- Stick Position = 4
- Vibrato Gain = 1
- Vibrato Frequency = 11
- Direct Stick Mix = 8
- Volume = 128
- Modal Presets = 16
  - Marimba = 0
  - Vibraphone = 1
  - Agogo = 2
  - Wood1 = 3
  - Reso = 4
  - Wood2 = 5
  - Beats = 6
  - Two Fixed = 7
  - Clump = 8

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- ModalBar.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.